<?php
/**
 * Controller is the customized base controller class.
 * All controller classes for this application should extend from this base class.
 */
class Controller extends CController
{
	/**
	 * @var string the default layout for the controller view. Defaults to '//layouts/column1',
	 * meaning using a single column layout. See 'protected/views/layouts/column1.php'.
	 */
	public $layout='//layouts/dashboard';
	/**
	 * @var array context menu items. This property will be assigned to {@link CMenu::items}.
	 */
	public $menu=array();
	/**
	 * @var array the breadcrumbs of the current page. The value of this property will
	 * be assigned to {@link CBreadcrumbs::links}. Please refer to {@link CBreadcrumbs::links}
	 * for more details on how to specify this property.
	 */
	public $breadcrumbs=array();
	public $activeSideNav = array();
	public $openParentNav = array();

	public function beforeAction($action){
		if (parent::beforeAction($action)){

			$publicActions = ['login', 'parser', 'PublishVendorData', 'PushRSP', 'cronStatusCheck', 'cronActionProduct', 'updateDescription'];
			//Dev::pvx($action->id);
			if (in_array($action->id, $publicActions)) {
				return true;
			}

			if (Yii::app()->user->isGuest){
				return $this->redirect('site/login');
			} else {
				return true;
			}	
		}
	}

}
