 <?php Yii::app()->clientScript->registerCoreScript('jquery'); ?>
 <?php 
	$baseUrl = Yii::app()->baseUrl; 
	$cs = Yii::app()->getClientScript(); 
	
	$cs->registerCssFile('//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.0.3/css/font-awesome.min.css');
	$cs->registerScriptFile($baseUrl.'/js/bootbox.min.js');
	$cs->registerScriptFile($baseUrl.'/js/redactor/fontsize.js');
	
	$cs->registerScript('globalVars',"
		var fieldChangeChecker = 0;
	");
	
	{//prepare redactor  custom plugins		
	
		$redactorContentVariables = array();
		foreach($mailerContentModel->getRedactorContentVariable($mailerContentModel->id, 1) as $key => $value)
		{
			$redactorContentVariables[$key] = '';
			$redactorContentVariables[$key] .= "dropdown['".$key."'] = { ";
			
			$dropDownVar = array();
			foreach ( $value as $key2 => $value2 )
			{
				$dropDownVar[] = $key2.': '.$value2;
			}
			$redactorContentVariables[$key] .= implode(',', $dropDownVar);
			$redactorContentVariables[$key] .= ' }';
		}
		
		$redactorContentVariables = implode(',', $redactorContentVariables);
		
		$redactorContentVarFunctions = '';
		foreach ( $mailerContentModel->getRedactorVariableFunctions($mailerContentModel->id) as $key => $value )
		{
			if ( $value['type'] == 'text' )
			{
				$insertValue = $value['text_value'];
			}
			else
			{
				$insertValue = '<a href="'.$value['url_value'].'" >'.$value['text_value'].'</a>';
			}
			
			$redactorContentVarFunctions .= '
				,'.$value['function_name'].' : function(buttonName, buttonDOM, buttonObj, e)
				{
					this.insertHtml(\''.$insertValue.'\');
				}
			';
		}
		
		$cs->registerScript('redactorjs',"
			if (!RedactorPlugins) var RedactorPlugins = {};

			RedactorPlugins.advanced = {
				init: function ()
				{
					var dropdown  = {}; 
					".$redactorContentVariables."
					
					this.buttonAdd('advanced', 'Available Content Variables', false, dropdown);
					this.buttonAwesome('advanced', 'fa-code');
				}".$redactorContentVarFunctions."
			};
		", CClientScript::POS_END);	
	
	}//end redactor custom plugins
 ?>
 
<h1 class="page-header">EMAIL PAGE</h1>


	<div class="form">

	<?php $form=$this->beginWidget('CActiveForm', array(
		// 'action' => array('mailer/createEmailer'),
		'id'=>'input-form',
		/*'enableClientValidation'=>true,
		'clientOptions'=>array(
			'validateOnSubmit'=>true,
		),*/
	)); ?>
		
		<p class="note">Fields with <span class="required">*</span> are required.</p>
		
		<?php echo $form->errorSummary($mailerContentModel, null, null, array('class' => 'alert alert-warning')); ?>
		<?php $this->widget('Flash', array('flashes'=>Yii::app()->user->getFlashes(), 'hide'=>false)); ?>

		<div class="row">
			<div class="col-sm-12 form-group">
			<?php echo $form->labelEx($mailerContentModel,'subject'); ?>
			<?php echo $form->textField($mailerContentModel,'subject', array("class"=>'form-control field-change-state-checker')); ?>
			<?php echo $form->error($mailerContentModel,'subject'); ?>
			</div>
		</div>
		
		<div class="row">
			<div class="col-sm-6 form-group">
				<?php echo $form->labelEx($mailerContentModel,'outbound_name'); ?>
				<?php echo $form->textField($mailerContentModel,'outbound_name', array("class"=>'form-control field-change-state-checker')); ?>
				<?php echo $form->error($mailerContentModel,'outbound_name'); ?>
			</div>
			<div class="col-sm-6 form-group">
				<?php 
					echo $form->labelEx($mailerContentModel,'type'); 
					echo $form->dropDownList($mailerContentModel,'type', MailerContent::model()->getContentTypeList($mailerContentModel->type), array('class' => 'form-control field-status')); 
				?>
			</div>
		</div>
		
		<div class="row">
			<div class="col-sm-12 form-group">
			<?php echo $form->labelEx($mailerContentModel,'content'); ?>
			<?php echo $form->error($mailerContentModel,'content'); ?>
			</div>
		</div>
		
		<?php 
		
		if ( $mailerContentModel->type == MailerContent::TYPE_CONTENT_EDITOR )
		{
			$minHeight = '200';
			$visualOption = array('visual' => true);
		}
		else
		{
			$minHeight = '400';
			$visualOption = array('visual' => false);
		}
		
		// echo $form->textArea($mailerContentModel, 'content', array('style' => 'width:100%', 'rows' => 15));
		
		$this->widget('ext.redactor.ERedactorWidget',array(
			'model'=>$mailerContentModel,
			'attribute'=>'content',
			'options' => array(
				'minHeight' => $minHeight,
				'cleanOnPaste' => false,
				'replaceDivs' => false,
				'plugins' => array('advanced', 'fontsize')
			)+$visualOption,
			'htmlOptions' => array('class' => 'field-change-state-checker')
		));
		?>
		
		<div class="row">
			<div class="col-sm-12 form-group text-right">
				<Br />
				
			</div>
		</div>
		
		<?php
		$cs->registerScript('TestEmailScript', "
			
			$('.btn-alert-send-email').click(function(){
				var appenMessage = '';
				if ( fieldChangeChecker )
				{
					appenMessage = '<b>Looks like you made some changes and haven\'t save the form yet.</b> <Br />';
				}
				
				$('.send-emailer-modal').modal({'backdrop':'static', 'show':true});
				
				$('.send-emailer-modal .notice').empty();
				
				var notice = 'Are you sure you want to send this email blast?<p class=\"bg-danger\" style=\"padding:5px;font-size:15px;\">'+appenMessage+'<b>Note:</b> Make sure you have save the changes first before sending the email blast</p>';
				$('.send-emailer-modal .notice').append(notice);
				
				// bootbox.confirm('Are you sure you want to send this email blast?<p class=\"bg-danger\" style=\"padding:5px;\">'+appenMessage+'<b>Note:</b> Make sure you have save the changes first before sending the email blast</p>', function(result) {
					// if ( result )
					// {
						// $('#input-form').attr('action', '".Yii::app()->createUrl('mailer/sendEmailBlast')."');
						// $('#input-form').submit();
					// }
				// }); 
			});
			
			$(function(){
				var selectedCategory = $('.send-emailer-filter').val();
				$('#filterCategoryId').val(selectedCategory);
				
				$.ajax({
					method : 'POST',
					url : '".Yii::app()->createUrl('mailer/sendEmailFilter')."',
					data : {category:selectedCategory},
					success: function(res) {
						$('.no-of-send-emailer-contacts').text(res);
					},
				});
			});
			
			$('body').on('change','.send-emailer-filter', function(){
				
				var selectedCategory = $(this).val();
				$('#filterCategoryId').val(selectedCategory);
				
				$.ajax({
					method : 'POST',
					url : '".Yii::app()->createUrl('mailer/sendEmailFilter')."',
					data : {category:selectedCategory},
					success: function(res) {
						$('.no-of-send-emailer-contacts').text(res);
					},
				});
				
			});
			
			$('.btn-send-emailer').on('click', function(){
				$('#input-form').attr('action', '".Yii::app()->createUrl('mailer/sendEmailBlast')."');
				$('#input-form').submit();
			});
			
			
			$('.btn-alert-send-test').click(function(){
				var appenMessage = '';
				if ( fieldChangeChecker )
				{
					appenMessage = '<b>Looks like you made some changes and haven\'t save the form yet.</b> <Br />';
				}
				
				bootbox.confirm('Are you sure you want to <b>test/send</b> this email blast to <b>seeds</b>?<p class=\"bg-danger\" style=\"padding:5px;\">'+appenMessage+'<b>Note:</b> Make sure you have save the changes first before sending the email blast</p>', function(result) {
					if ( result )
					{
						$('#input-form').attr('action', '".Yii::app()->createUrl('mailer/sendEmailBlast', array('testFlag' => 1))."');
						$('#input-form').submit();
					}
				}); 
			});
			
			$('body').on('input keydown', '.redactor_box', function () {
				fieldChangeChecker++;
			});
			
			$('.field-change-state-checker').on('input propertychange paste', function(){
				fieldChangeChecker++;
			});

			
			$('.btn-confirm-send-email').click(function(){
				$('#input-form').attr('action', '".Yii::app()->createUrl('email/sendEmailBlast')."');
				$('#input-form').submit();
			});
			
			$('.btn-test-email').click(function(){
				$(this).hide();
				$('.text-email-container').toggle();
			});
			
			$('.btn-submit-test-email').click(function(){
				$('#input-form').attr('action', '".Yii::app()->createUrl('email/testEmail')."');
				$('#input-form').submit();
			});
			
			$('.btn-cancel-test-email').click(function(){
				$('.btn-test-email').show();
				$('.text-email-container').hide();
			});
		");
		?>
		<div class="text-email-container" style="display:none">
		<hr />
			Enter additional information for the test email
			<table>
			<?php 
				$staticRedactorVariables = $mailerContentModel->getRedactorContentVariable($mailerContentModel->id, 1, array('staticData' => true));
				
				if ( isset($staticRedactorVariables['PURL']) )
					unset($staticRedactorVariables['PURL']);
					
				foreach ( $staticRedactorVariables as $key => $value )
				{
			?>
					<tr>
						<th width="15%"><?php echo $key; ?></th>
						<td width="85%"><?php echo CHtml::textField('TestEmail[{{'.$key.'}}]', '', array('style' => 'width:50%')); ?></td>
					</tr>
			<?php	
				}
			?>
				<tr>
					<td colspan="2">
						<?php echo CHtml::button('Cancel', array('class' => 'btn btn-default btn-cancel-test-email', 'style' => 'padding:9px 10px 9px 10px; cursor:pointer;')); ?>
						<?php echo CHtml::button('Submit', array('class' => 'btn btn-primary btn-submit-test-email', 'style' => 'float:none')); ?>
					</td>
				</tr>
			</table>
		</div>
		
		<hr />
		
		<h3>Link Variables</h3>
		<div class="col-md-12 text-right" style="margin-bottom:30px;">
			<?php echo CHtml::link('New Link', 'javascript:', array('class' => 'btn btn-sm btn-primary btn-new-link-var')); ?>
		</div>
		<div id="new-link-var-list">
		</div>

		<div id="new-link-var"  style="display:none;">
			<table  class="table" cellpadding="0" cellspacing="0">
				<tbody>	
					<tr>
						<th colspan="2">
							<br />
							<?php echo CHtml::link('Remove', 'javascript:', array('class' => 'btn btn-danger btn-sm pull-right btn-new-link-var-remove')); ?>
							New Link Variable
						</th>
					</tr>
					<tr>
						<th width="15%">Link Variable Name:</th>
						<td width="85%"><?php echo CHtml::textField('link_variable_name', '', array('id' => 'link_variable_name', 'class' => 'form-control field-text-value')); ?></span></td>
					</tr>
					<tr>
						<th>Text Value:</th>
						<td><?php echo CHtml::textField('mailer_content_text_value', '', array('id' => 'mailer_content_text_value','class' => 'form-control field-text-value')); ?></td>
					</tr>
					<tr>
						<th>Url:</th>
						<td><?php echo CHtml::textField('mailer_content_url', '', array('id' => 'mailer_content_url','class' => 'form-control field-url')); ?></td>
					</tr>
					<tr>
						<th>Link Type:</th>
						<td><?php echo CHtml::dropDownList('mailer_content_type', '', MailerContentLinkVar::linkTypeList() , array('id' => 'mailer_content_type','class' => 'form-control field-url', 'empty' => 'Select Link Type')); ?></td>
					</tr>
				</tbody>
			</table>
		</div>
		
		<table cellpadding="0" cellspacing="0" id="edit-link-var" class="edit-link-table" style="display:none;">
			<tbody>	
				<tr>
					<th width="15%">Link:</th>
					<td width="85%"><span class="field-link-variable-name"></span></td>
				</tr>
				<tr>
					<th>Text Value:</th>
					<td><?php echo CHtml::textField('mailer_content_text_value', '', array('class' => 'form-control field-text-value')); ?></td>
				</tr>
				<tr>
					<th>Url:</th>
					<td><?php echo CHtml::textField('mailer_content_url', '', array('class' => 'form-control field-url')); ?></td>
				</tr>
				<tr>
					<td colspan="2" class="text-right">
						<Br />
						<?php echo CHtml::button('Cancel', array('class' => 'btn btn-default btn-cancel-link-var', 'style' => 'cursor:pointer;')); ?>
						<?php echo CHtml::submitButton('Submit', array('class' => 'btn btn-primary', 'style' => 'float:none')); ?>
						<?php echo CHtml::hiddenField('mailerContentLinkId', '', array('class' => 'field-id')); ?>
						<?php echo CHtml::hiddenField('flagSaveContentLinkData', '0', array('class' => 'field-id field-flagSaveContentLinkData')); ?>
					</td>
				</tr>
			</tbody>
		</table>

		<?php 
			if ( !$mailerContentModel->isNewRecord ){
				$this->widget('zii.widgets.CListView', array(
					'dataProvider' => $linkVardataProvider,
					'itemsTagName' => 'table',
					'itemsCssClass' => 'table table-hover',
					'template' => '{items} <br/> {pager}'   ,
					'itemView' => 'application.yii_app_emailer.yii_app_emailer_views.mailer._link_var_list',
					'pager' => array(
						// 'class' => 'BootstrapLinkPager', 
						'cssFile' => false, 
						'header' => false, 
						'firstPageLabel' => '&lt;&lt;',
						'prevPageLabel' => '&lt;',
						'nextPageLabel' => '&gt;',
						'lastPageLabel' => '&gt;&gt;',
					),
				));
			}

		?>

		<div class="text-right">
			<?php echo CHtml::submitButton('Save', array('class' => 'btn btn-primary')); ?>
			<?php echo $form->hiddenField($mailerContentModel,'id'); ?>
			<?php echo Chtml::hiddenField('Filter[category_id]', '',array('id' => 'filterCategoryId')); ?>
			<?php if ( !$mailerContentModel->isNewRecord )
			{
				echo CHtml::button('Test Emailer', array('class' => 'btn btn-warning btn-alert-send-test')).' ';
				echo CHtml::button('Send Emailer', array('class' => 'btn btn-danger btn-alert-send-email')).' ';
			}
			?>
		</div>
		
		<?php $this->endWidget(); ?>
		
		<?php 
				
		$cs->registerScript('listVarScript', "

			//https://stackoverflow.com/questions/105034/create-guid-uuid-in-javascript
			function guid() {
			  function s4() {
			    return Math.floor((1 + Math.random()) * 0x10000)
			      .toString(16)
			      .substring(1);
			  }
			  return s4() + s4() + '-' + s4() + '-' + s4() + '-' + s4() + '-' + s4() + s4() + s4();
			}

			$('#new-link-var-list').on('click', '.btn-new-link-var-remove', function(){

				var self = $(this);
				var target = self.attr('data-target');

				$('#' + target).remove();	

			});

			$('.btn-new-link-var').click(function(){

				var container = $('#new-link-var-list');
				var form = $('#new-link-var');

				var tmpClone = form.clone();

				container.append(tmpClone.html());

				var newElement = container.children().last();
				var generatedId = guid();

				newElement.attr('id', generatedId);
				newElement.find('.btn-new-link-var-remove').attr('data-target', generatedId);

				newElement.find('#link_variable_name').attr('name', 'newLinkVar[' + generatedId + '][link_variable_name]');
				newElement.find('#mailer_content_text_value').attr('name', 'newLinkVar[' + generatedId + '][mailer_content_text_value]');
				newElement.find('#mailer_content_url').attr('name', 'newLinkVar[' + generatedId + '][mailer_content_url]');
				newElement.find('#mailer_content_type').attr('name', 'newLinkVar[' + generatedId + '][mailer_content_type]');

			});

			$('.btn-edit-item').click(function(e){
				e.preventDefault();

				$('.btn-new-link-var').hide();
				
				var parentContainer = $(this).parents('.data-container');
				$('.field-link-variable-name').html(parentContainer.children('.data-link-variable-name').html());
				$('.field-text-value').val(parentContainer.children('.data-text-value').html());
				$('.field-url').val(parentContainer.children('.data-url').html());
				$('.field-id').val($(this).attr('data-id'));
				$('.field-flagSaveContentLinkData').val(1);
				
				$('#edit-link-var').show();
			});
			
			$('.btn-cancel-link-var').click(function(){
				$('#edit-link-var').hide();
				$('#new-link-var').hide();
				$('.btn-new-link-var').show();
				$('.field-flagSaveContentLinkData').val(0);
			});
		");
		?>
	</div><!-- form -->
	
	<div class="modal fade send-emailer-modal">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Send Emailer</h4>
				</div>
				<div class="modal-body">		
					<div class="row">
						<div class="col-md-12">
							<div class="notice"></div>
						</div>
					</div>
					
					<br class="clear clearfix"/>
					
					<div class="row">
						<div class="col-sm-5 form-group" style="padding-right:0px;">
							<?php
								echo Chtml::label('Category :','');
							?>
						</div>
						<div class="col-sm-6 form-group">
							<?php
								echo Chtml::dropDownList('','category_id', Categories::model()->getCategories(), array('class' => 'form-control send-emailer-filter')); 
							?>
						</div>
					</div>
					
					<div class="row">
						<div class="col-sm-5 form-group" style="padding-right:0px;">
							<?php
								echo Chtml::label('Number of contacts affected :','');
							?>
						</div>
						<div class="col-sm-6 form-group">
							<span class="no-of-send-emailer-contacts"></span>
						</div>
					</div>
					
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
					<?php 				
					echo CHtml::submitButton('Send' ,array('class'=>'btn btn-primary btn-send-emailer'));  
					?>
				</div>
			</div><!-- /.modal-content -->
		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
	
</div> 
 
